--[[
	##AddOn	: CooldownIcons R(evamped)
	##Subfile	: Options\group_settings.lua
	##Author  : Hati ( xhatix on wowace.com )
--]]
local CIR = CooldownIconsR
local options = CIR.Options
local media = LibStub("LibSharedMedia-3.0")
local LCI = LibStub("LibCooldownIcons") -- this is more a personal utility lib (provides some 'extra' functions or extended standard ones)
local LBF = LibStub("LibButtonFacade", true)

--TODO finish groupConfigTable
local groupConfigTable=
function()
	return {
	}
end

local function addNewGrp_Func(info)
	local db = CIR.db
	if not type(db.groupdb)=='table' then print("Create GroupDB") db.groupdb = { } end
	local groupdb = db.groupdb
	GroupID = LCI:Getn(groupdb)
	local newGroup = "Group"..GroupID
	local gr_config = { 
		name = newGroup,
		type="group",
		childGroups='tab',
		width='double',
		cmdHidden=true,
		args=groupConfigTable(),
	}
	--TODO gr_db
	local gr_db = {
		--general
		padding=4,
		rowing=4,
		
		--sorting ( (1)-no sort;(2)-lowest remaining-cd = first icon, etc. stuff)
		sortAlgorithm=1,
		--font
		
		--icon
		iconsPerRow=8,
		maxIcons=16,
		rows=2,
		--inerhits
	}
end

CIR.get_group_settings=
function()
	return {
		addNewGrp={
			type='execute',
			name="Add new Group",
			desc='Adds a new group to group managment',
			func=addNewGrp_Func,
			order=-1,
		},
	}
end


