--[[
	##AddOn	: CooldownIcons R(evamped)
	##Subfile 	: range.lua
	##Author  : Hati ( xhatix on wowace.com )
--]]
local CIR = CooldownIconsR
local GetTime = _G.GetTime

eventFire=0
local updater = CreateFrame("Frame","CIR_RangeUpdater")
updater:SetScript("OnUpdate", function(self,elapsed)
	if not CIR.updateFrequency then return end
	if not self.lastUpdate then
		self.lastUpdate = 0
	end
	self.lastUpdate = self.lastUpdate + elapsed
	while (self.lastUpdate >= CIR.updateFrequency) do
		for k,v in ipairs(CIR.rangeCheck) do
			local icon = CIR.icons[v]
			local b =  nil
            if not icon then return end
			if icon.active then
                if not icon.forcedrange then
                    if icon.type=='spell' then
                        if type(icon.watch) == "number" then
                            b=IsSpellInRange(GetSpellInfo(icon.watch),"target") 
                        else
                            b=IsSpellInRange(icon.watch,"target") 
                        end
                    else
                        b=IsItemInRange(icon.watch,"target")
                    end
                    if b==0 then
                        if not icon.forcedrange then
                            icon.texture:SetVertexColor(unpack(CIR.db.char.gMisc.gRangeColor or {1,0,0,1}))
                        end
                        icon.inRange=false
                    elseif (b==1 or b==nil) then
                        if not icon.forcedrange then
                            icon.texture:SetVertexColor(1,1,1,1)
                        end
                        icon.inRange=true
                    end
                end
			end
            eventFire=eventFire+(1/#CIR.rangeCheck)
            if eventFire>10 and CIR.events.CIR_RANGEEVENT and tContains(CIR.events.CIR_RANGEEVENT,v) then
                CIR:ProcessScriptForIcon(CIR.db.char.icondb[v].script,icon)
            end
		end
        if eventFire>10 then
            eventFire=eventFire-(#CIR.rangeCheck)
        end
		self.lastUpdate = self.lastUpdate - CIR.updateFrequency
    end
end)